package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevMovementMapper;
import com.ruoyi.project.patrol.dev.domain.TDevMovement;
import com.ruoyi.project.patrol.dev.service.ITDevMovementService;

/**
 * 移动平台及移动梯Service业务层处理
 * 
 * @author admin
 * @date 2023-11-08
 */
@Service
public class TDevMovementServiceImpl implements ITDevMovementService 
{
    @Autowired
    private TDevMovementMapper tDevMovementMapper;

    /**
     * 查询移动平台及移动梯
     * 
     * @param id 移动平台及移动梯主键
     * @return 移动平台及移动梯
     */
    @Override
    public TDevMovement selectTDevMovementById(Long id)
    {
        return tDevMovementMapper.selectTDevMovementById(id);
    }

    /**
     * 查询移动平台及移动梯列表
     * 
     * @param tDevMovement 移动平台及移动梯
     * @return 移动平台及移动梯
     */
    @Override
    public List<TDevMovement> selectTDevMovementList(TDevMovement tDevMovement)
    {
        return tDevMovementMapper.selectTDevMovementList(tDevMovement);
    }

    /**
     * 新增移动平台及移动梯
     * 
     * @param tDevMovement 移动平台及移动梯
     * @return 结果
     */
    @Override
    public int insertTDevMovement(TDevMovement tDevMovement)
    {
        return tDevMovementMapper.insertTDevMovement(tDevMovement);
    }

    /**
     * 修改移动平台及移动梯
     * 
     * @param tDevMovement 移动平台及移动梯
     * @return 结果
     */
    @Override
    public int updateTDevMovement(TDevMovement tDevMovement)
    {
        return tDevMovementMapper.updateTDevMovement(tDevMovement);
    }

    /**
     * 批量删除移动平台及移动梯
     * 
     * @param ids 需要删除的移动平台及移动梯主键
     * @return 结果
     */
    @Override
    public int deleteTDevMovementByIds(Long[] ids)
    {
        return tDevMovementMapper.deleteTDevMovementByIds(ids);
    }

    /**
     * 删除移动平台及移动梯信息
     * 
     * @param id 移动平台及移动梯主键
     * @return 结果
     */
    @Override
    public int deleteTDevMovementById(Long id)
    {
        return tDevMovementMapper.deleteTDevMovementById(id);
    }
}
